MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030554Community[OCCT] OCCT:Codingpublic2019-03-11 19:052019-03-19 10:33
Reportergalbramc 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 5.2.2 
Target Version[OCCT] 7.4.0Fixed in Version 
Summary0030554: Coding - ChFiDS_CommonPoint uninitialized member traarc
DescriptionRunning OCCT 7.3.0 compiled with -fsanitize=undefined I got the following error:

src/ChFiDS/ChFiDS_CommonPoint.hxx:42:7: runtime error: load of value 32583, which is not a valid value for type 'TopAbs_Orientation'

I traced it back to 'traarc' not being initialized in the default constructor of ChFiDS_CommonPoint.
Steps To ReproduceCompile OCCT 7.3.0 with -fsanitize=undefined and run the test suite.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0030557newkgv Open CASCADE Coding - eliminate errors reported by -fsanitize 

-  Notes
(0082848)
git (administrator)
2019-03-11 23:40

Branch CR30554 has been created by kgv.

SHA-1: ba1d9b6cf0bc7d6f74298b5184c880bdecda948e


Detailed log of new commits:

Author: kgv
Date: Mon Mar 11 23:35:14 2019 +0300

    0030554: Coding - ChFiDS_CommonPoint uninitialized member traarc
    
    Added missing initialization to ChFiDS_CommonPoint constructor.
(0082852)
kgv (developer)
2019-03-12 04:37

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30554-master-KGV [^]
(0082857)
abv (manager)
2019-03-12 06:18

No remarks, please integrate
(0082877)
apn (administrator)
2019-03-12 16:21

Combination -
OCCT branch : CR30554
master SHA - ba1d9b6cf0bc7d6f74298b5184c880bdecda948e
d67d4b811012eef8913d3c535c29654d0acf3c4c
Products branch : master SHA - 19cf12d4f918562ea1456aa224c6f7a64b9c4ad7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16600.699999999953 / 16599.24999999996 [+0.01%]
Products
Total CPU difference: 9080.810000000034 / 9092.71000000004 [-0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 18000.8125 / 17985.28125 [+0.09%]
Products
Total CPU difference: 10475.90625 / 10460.953125 [+0.14%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0083086)
git (administrator)
2019-03-19 10:33

Branch CR30554 has been deleted by inv.

SHA-1: ba1d9b6cf0bc7d6f74298b5184c880bdecda948e

- Related Changesets
occt: master ac8f1774
Timestamp: 2019-03-11 20:35:14
Author: kgv
Committer: apn
Details ] Diff ]
0030554: Coding - ChFiDS_CommonPoint uninitialized member traarc

Added missing initialization to ChFiDS_CommonPoint constructor.
mod - src/ChFiDS/ChFiDS_CommonPoint.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_CommonPoint.hxx Diff ] File ]
rm - src/ChFiDS/ChFiDS_CommonPoint.lxx Diff ] File ]
mod - src/ChFiDS/FILES Diff ] File ]

- Issue History
Date Modified Username Field Change
2019-03-11 19:05 galbramc New Issue
2019-03-11 19:05 galbramc Assigned To => kgv
2019-03-11 23:26 kgv Summary ChFiDS_CommonPoint uninitialized member traarc => Coding - ChFiDS_CommonPoint uninitialized member traarc
2019-03-11 23:40 git Note Added: 0082848
2019-03-12 04:34 kgv Relationship added child of 0030557
2019-03-12 04:37 kgv Note Added: 0082852
2019-03-12 04:37 kgv Assigned To kgv => abv
2019-03-12 04:37 kgv Status new => resolved
2019-03-12 04:37 kgv Product Version => 7.3.0
2019-03-12 04:39 kgv Product Version 7.3.0 => 5.2.2
2019-03-12 04:39 kgv Target Version => 7.4.0
2019-03-12 06:18 abv Note Added: 0082857
2019-03-12 06:18 abv Assigned To abv => bugmaster
2019-03-12 06:18 abv Status resolved => reviewed
2019-03-12 16:21 apn Test case number => Not needed
2019-03-12 16:21 apn Note Added: 0082877
2019-03-12 16:21 apn Status reviewed => tested
2019-03-17 15:40 apn Changeset attached => occt master ac8f1774
2019-03-17 15:40 apn Assigned To bugmaster => apn
2019-03-17 15:40 apn Status tested => verified
2019-03-17 15:40 apn Resolution open => fixed
2019-03-19 10:33 git Note Added: 0083086


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker